'''Simple data loader module.

Loads data files from the "data" directory shipped with a game.

Enhancing this to handle caching etc. is left as an exercise for the reader.
'''

import os

data_py = os.path.abspath(os.path.dirname(__file__))
data_dir = os.path.normpath(os.path.join(data_py, '..', 'data'))

def load(filename, mode='rb'):
    '''Open a file in the data directory.

    "mode" is passed as the second arg to open().
    '''
    return open(os.path.join(data_dir, filename), mode)



#--- image cache
imgCache = {}
def loadRawImage(pImage):
	if pImage in imgCache.keys():
		return imgCache[pImage]
	imgCache[pImage] = pygame.image.load( os.path.join(".",pImage) ).convert_alpha()
	return imgCache[pImage]